LurkrLurkr Docs
Levels

Get User Level

The ultimate no-paywall & featureful leveling bot. Transfer your MEE6/Amari/Polaris leaderboard to get started!

GET/levels/{guildId}/users/{userId}
X-Api-Key<token>

The user's API key to authenticate requests

In: header

Path Parameters

guildId*string

A Discord snowflake identifier

Match^[1-9]\d+$
Length17 <= length <= 19
userId*string

A Discord snowflake identifier

Match^[1-9]\d+$
Length17 <= length <= 19

Response Body

application/json

curl -X GET "https://api.lurkr.gg/v2/levels/stringstringstrin/users/stringstringstrin"
{  "level": {    "lastUpdated": "2019-08-24T14:15:22Z",    "level": 10000,    "messageCount": 0,    "rank": 1,    "xp": 2147483647  },  "user": {    "avatar": "stringstringstringstringstringst",    "discriminator": "string",    "globalName": "string",    "username": "string"  }}